package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrAirtight;

/**
 * 气密Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrAirtightMapper
{
    /**
     * 查询气密
     *
     * @param id 气密ID
     * @return 气密
     */
    public TPssrAirtight selectTPssrAirtightById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询气密列表
     *
     * @param tPssrAirtight 气密
     * @return 气密集合
     */
    
    public List<TPssrAirtight> selectTPssrAirtightList(TPssrAirtight tPssrAirtight);

    /**
     * 新增气密
     *
     * @param tPssrAirtight 气密
     * @return 结果
     */
    public int insertTPssrAirtight(TPssrAirtight tPssrAirtight);

    /**
     * 修改气密
     *
     * @param tPssrAirtight 气密
     * @return 结果
     */
    public int updateTPssrAirtight(TPssrAirtight tPssrAirtight);

    public int updateTPssrAirtightByIds(TPssrAirtight tPssrAirtight);


    /**
     * 删除气密
     *
     * @param id 气密ID
     * @return 结果
     */
    public int deleteTPssrAirtightById(Long id);

    /**
     * 批量删除气密
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrAirtightByIds(Long[] ids);
}
